summaryrefslogtreecommitdiff
path: root/libraries/perl-Magick/perl-Magick.SlackBuild
diff options
context:
space:
mode:
authorMikhail Cuddy <mikhailcuddy@gmail.com>2010-04-07 23:18:46 -0500
committerRobby Workman <rworkman@slackbuilds.org>2010-05-15 10:24:31 +0200
commitc8c05cae942d8f21ec5e7b0305a1eb72f9b3bf95 (patch)
treecc101ea88e2235a907d68f26f6acf05eda33d72a /libraries/perl-Magick/perl-Magick.SlackBuild
parent860ebadf935f055d3132cc4c77d007052c3a190b (diff)
downloadslackbuilds-c8c05cae942d8f21ec5e7b0305a1eb72f9b3bf95.tar.gz
libraries/perl-Magick: Added - perl interface for ImageMagick.
Diffstat (limited to 'libraries/perl-Magick/perl-Magick.SlackBuild')
-rwxr-xr-xlibraries/perl-Magick/perl-Magick.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/libraries/perl-Magick/perl-Magick.SlackBuild b/libraries/perl-Magick/perl-Magick.SlackBuild
new file mode 100755
index 0000000000..4ec6165377
--- /dev/null
+++ b/libraries/perl-Magick/perl-Magick.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for PerlMagick
+
+# Written by Mikhail Cuddy <mikhailcuddy@gmail.com>
+
+PRGNAM=perl-Magick
+VERSION=${VERSION:-6.53}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/PerlMagick-$VERSION.tar.gz
+cd PerlMagick-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}